Skip to main content
GET
/
v1
/
payouts
Lista pagamentos enviados
curl --request GET \
  --url https://stater.stric.io/v1/payouts \
  --header 'Authorization: Bearer <token>'
{
  "payouts": [
    {
      "id": "<string>",
      "pixAccountId": "<string>",
      "movementId": "<string>",
      "paymentMethod": "PIX_KEY",
      "pixKey": "<string>",
      "pixKeyType": "<string>",
      "qrCode": "<string>",
      "qrCodeDecodeId": "<string>",
      "amountCents": "<string>",
      "description": "<string>",
      "status": "PENDING",
      "endToEndId": "<string>",
      "providerTransactionId": "<string>",
      "providerCodeTransaction": "<string>",
      "refundEndToEndId": "<string>",
      "refundTransactionId": "<string>",
      "refundedAmountCents": "<string>",
      "submittedAt": "2023-11-07T05:31:56Z",
      "paidAt": "2023-11-07T05:31:56Z",
      "lastPolledAt": "2023-11-07T05:31:56Z",
      "nextPollAt": "2023-11-07T05:31:56Z",
      "pollAttempts": 0,
      "lastError": "<string>",
      "resolvedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "providerResponse": {},
      "providerStatusCode": 0
    }
  ],
  "nextCursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.stric.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key da plataforma. Envie no header Authorization: Bearer <key>.

Headers

X-Pix-Account-Id
string

Id da conta Pix sobre a qual a operação atua. Obrigatório quando sua API key não está vinculada a uma conta específica.

Required string length: 10 - 40

Query Parameters

status
enum<string>
Available options:
PENDING,
PROCESSING,
SUBMITTED_UNKNOWN,
SUCCEEDED,
FAILED,
CANCELLED,
REFUNDED,
STUCK
pixAccountId
string
Required string length: 10 - 64
limit
integer
Required range: 1 <= x <= 200
cursor
string

Response

OK

payouts
object[]
required
nextCursor
string | null
required